View Issue Details

IDProjectCategoryView StatusLast Update
0002955Ham Radio DeluxeBugpublic2019-01-16 22:04
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 6.3.9600.16384 OS Version16299
Product Version6.4.0.902 
Target VersionFixed in Version6.5.0.183 
Summary0002955: Logbook: crash when working EQSL Upload dialog
DescriptionFrom the Microsoft Dashboard, we find a crash that happens when the EQSL Upload dialog expects to find a certain type of view in the main frame window. It doesn't, and ends up derferencing a null poiner and crashing.

I can't repro this, and from the crash I'm unable to deduce why the window can't be found -- it seems like a view window is necessary in order to bring up the EQSL window in the first place. I assume it closes for some reason, but that's a surprise becuase the EQSL Upload window is modal.
Steps To ReproduceNo repro available -- frequent crash from the Microsoft Dashboard.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleeQSL
Testing Not Tested

Relationships

Activities

K7ZCZ

2018-11-24 13:35

manager   ~0006466

Stack attached

Mantis2955Stack.xlsx (12,248 bytes)

K7ZCZ

2018-11-24 14:41

manager   ~0006467

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4492

WA9PIE

2018-12-21 01:02

administrator   ~0006761

Unable to test crash report on Microsoft dashboard.

Issue History

Date Modified Username Field Change
2018-11-24 13:32 K7ZCZ New Issue
2018-11-24 13:35 K7ZCZ OS Windows 10 Professional x64 => Windows 6.3.9600.16384
2018-11-24 13:35 K7ZCZ Product Version => 6.4.0.902
2018-11-24 13:35 K7ZCZ Description Updated View Revisions
2018-11-24 13:35 K7ZCZ File Added: Mantis2955Stack.xlsx
2018-11-24 13:35 K7ZCZ Note Added: 0006466
2018-11-24 14:41 K7ZCZ Assigned To => K7ZCZ
2018-11-24 14:41 K7ZCZ Status new => resolved
2018-11-24 14:41 K7ZCZ Resolution open => fixed
2018-11-24 14:41 K7ZCZ Note Added: 0006467
2018-12-09 15:42 K7ZCZ Fixed in Version => 6.5.0.132
2018-12-21 01:02 WA9PIE Status resolved => closed
2018-12-21 01:02 WA9PIE Testing Not Started => Not Tested
2018-12-21 01:02 WA9PIE Note Added: 0006761
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.132 => 6.5.0.183
2019-01-16 22:04 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe